> ## Documentation Index
> Fetch the complete documentation index at: https://portkey-docs-docs-prisma-airs-updates.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List input items



## OpenAPI

````yaml https://raw.githubusercontent.com/PaloAltoNetworks/openapi/refs/heads/main/openapi.yaml get /responses/{response_id}/input_items
openapi: 3.0.0
info:
  title: Prisma AIRS AI Gateway API
  version: 3.0.0
  description: ''
servers:
  - url: https://aigw.portkey.ai/v1
    description: Managed
  - url: https://self-hosted-gateway-url.example.com/v1
    description: Self-hosted -- replace with your own gateway host
security:
  - Authorization: []
tags:
  - name: Assistants
    description: ''
  - name: Audio
    description: ''
  - name: Batch
    description: ''
  - name: Chat
    description: ''
  - name: Completions
    description: ''
  - name: Embeddings
    description: ''
  - name: Files
    description: ''
  - name: Fine-Tuning
    description: ''
  - name: Images
    description: ''
  - name: Model Pricing
    description: ''
  - name: Models
    description: ''
  - name: Moderations
    description: ''
  - name: OCR
    description: ''
  - name: Realtime
    description: ''
  - name: Rerank
    description: ''
  - name: Responses
    description: ''
  - name: Vector Stores
    description: ''
  - name: Configs
    description: ''
  - name: Guardrails
    description: ''
  - name: Integrations
    description: ''
  - name: Integrations > Models
    description: ''
  - name: Integrations > Workspaces
    description: ''
  - name: Providers
    description: ''
  - name: Secret References
    description: ''
  - name: MCP Integrations
    description: ''
  - name: MCP Integrations > Capabilities
    description: ''
  - name: MCP Integrations > Metadata
    description: ''
  - name: MCP Integrations > Workspaces
    description: ''
  - name: MCP Servers
    description: ''
  - name: MCP Servers > Capabilities
    description: ''
  - name: MCP Servers > Connections
    description: ''
  - name: MCP Servers > User Access
    description: ''
  - name: API Keys
    description: ''
  - name: Deployments
    description: ''
  - name: Org Guardrails
    description: ''
  - name: Rate Limit Policies
    description: ''
  - name: Usage Limit Policies
    description: ''
  - name: Analytics > Graphs
    description: ''
  - name: Analytics > Groups
    description: ''
  - name: Analytics > Summary
    description: ''
  - name: Feedback
    description: ''
  - name: Logs
    description: ''
paths:
  /responses/{response_id}/input_items:
    get:
      tags:
        - Responses
      operationId: listInputItems
      parameters:
        - in: path
          name: response_id
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
        - in: query
          name: order
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: after
          in: query
          schema:
            type: string
        - name: before
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseItemList'
components:
  schemas:
    ResponseItemList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
          x-stainless-const: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/ItemResource'
        has_more:
          type: boolean
        first_id:
          type: string
        last_id:
          type: string
      required:
        - object
        - data
        - has_more
        - first_id
        - last_id
      x-oaiExpandable: true
    ItemResource:
      oneOf:
        - $ref: '#/components/schemas/InputMessageResource'
        - $ref: '#/components/schemas/OutputMessage'
        - $ref: '#/components/schemas/FileSearchToolCall'
        - $ref: '#/components/schemas/ComputerToolCall'
        - $ref: '#/components/schemas/ComputerToolCallOutputResource'
        - $ref: '#/components/schemas/WebSearchToolCall'
        - $ref: '#/components/schemas/FunctionToolCallResource'
        - $ref: '#/components/schemas/FunctionToolCallOutputResource'
      x-oaiExpandable: true
      discriminator:
        propertyName: type
    InputMessageResource:
      allOf:
        - $ref: '#/components/schemas/InputMessage'
        - type: object
          properties:
            id:
              type: string
          required:
            - id
    OutputMessage:
      type: object
      title: Output message
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - message
          x-stainless-const: true
        role:
          type: string
          enum:
            - assistant
          x-stainless-const: true
        content:
          type: array
          x-oaiExpandable: true
          items:
            $ref: '#/components/schemas/OutputContent'
            x-oaiExpandable: true
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
      required:
        - id
        - type
        - role
        - content
        - status
    FileSearchToolCall:
      type: object
      title: File search tool call
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - file_search_call
          x-stainless-const: true
        status:
          type: string
          enum:
            - in_progress
            - searching
            - completed
            - incomplete
            - failed
        queries:
          type: array
          items:
            type: string
        results:
          type: array
          items:
            type: object
            properties:
              file_id:
                type: string
              text:
                type: string
              filename:
                type: string
              attributes:
                $ref: '#/components/schemas/VectorStoreFileAttributes'
              score:
                type: number
                format: float
          nullable: true
      required:
        - id
        - type
        - status
        - queries
    ComputerToolCall:
      type: object
      title: Computer tool call
      properties:
        type:
          type: string
          enum:
            - computer_call
          default: computer_call
        id:
          type: string
        call_id:
          type: string
        action:
          $ref: '#/components/schemas/ComputerAction'
          x-oaiExpandable: true
        pending_safety_checks:
          type: array
          x-oaiExpandable: true
          items:
            $ref: '#/components/schemas/ComputerToolCallSafetyCheck'
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
      required:
        - type
        - id
        - action
        - call_id
        - pending_safety_checks
        - status
    ComputerToolCallOutputResource:
      allOf:
        - $ref: '#/components/schemas/ComputerToolCallOutput'
        - type: object
          properties:
            id:
              type: string
          required:
            - id
    WebSearchToolCall:
      type: object
      title: Web search tool call
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - web_search_call
          x-stainless-const: true
        status:
          type: string
          enum:
            - in_progress
            - searching
            - completed
            - failed
      required:
        - id
        - type
        - status
    FunctionToolCallResource:
      allOf:
        - $ref: '#/components/schemas/FunctionToolCall'
        - type: object
          properties:
            id:
              type: string
          required:
            - id
    FunctionToolCallOutputResource:
      allOf:
        - $ref: '#/components/schemas/FunctionToolCallOutput'
        - type: object
          properties:
            id:
              type: string
          required:
            - id
    InputMessage:
      type: object
      title: Input message
      properties:
        type:
          type: string
          enum:
            - message
          x-stainless-const: true
        role:
          type: string
          enum:
            - user
            - system
            - developer
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
        content:
          $ref: '#/components/schemas/InputMessageContentList'
      required:
        - role
        - content
    OutputContent:
      oneOf:
        - $ref: '#/components/schemas/OutputText'
        - $ref: '#/components/schemas/Refusal'
    VectorStoreFileAttributes:
      type: object
      maxProperties: 16
      additionalProperties:
        oneOf:
          - type: string
            maxLength: 512
          - type: number
          - type: boolean
      x-oaiTypeLabel: map
      nullable: true
    ComputerAction:
      oneOf:
        - $ref: '#/components/schemas/Click'
        - $ref: '#/components/schemas/DoubleClick'
        - $ref: '#/components/schemas/Drag'
        - $ref: '#/components/schemas/KeyPress'
        - $ref: '#/components/schemas/Move'
        - $ref: '#/components/schemas/Screenshot'
        - $ref: '#/components/schemas/Scroll'
        - $ref: '#/components/schemas/Type'
        - $ref: '#/components/schemas/Wait'
    ComputerToolCallSafetyCheck:
      type: object
      properties:
        id:
          type: string
        code:
          type: string
        message:
          type: string
      required:
        - id
        - code
        - message
    ComputerToolCallOutput:
      type: object
      title: Computer tool call output
      properties:
        type:
          type: string
          enum:
            - computer_call_output
          default: computer_call_output
          x-stainless-const: true
        id:
          type: string
        call_id:
          type: string
        acknowledged_safety_checks:
          type: array
          x-oaiExpandable: true
          items:
            $ref: '#/components/schemas/ComputerToolCallSafetyCheck'
        output:
          $ref: '#/components/schemas/ComputerScreenshotImage'
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
      required:
        - type
        - call_id
        - output
    FunctionToolCall:
      type: object
      title: Function tool call
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - function_call
          x-stainless-const: true
        call_id:
          type: string
        name:
          type: string
        arguments:
          type: string
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
      required:
        - type
        - call_id
        - name
        - arguments
    FunctionToolCallOutput:
      type: object
      title: Function tool call output
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - function_call_output
          x-stainless-const: true
        call_id:
          type: string
        output:
          type: string
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
      required:
        - type
        - call_id
        - output
    InputMessageContentList:
      type: array
      title: Input item content list
      x-oaiExpandable: true
      items:
        $ref: '#/components/schemas/InputContent'
        x-oaiExpandable: true
    OutputText:
      type: object
      title: Output text
      properties:
        type:
          type: string
          enum:
            - output_text
          x-stainless-const: true
        text:
          type: string
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
            x-oaiExpandable: true
      required:
        - type
        - text
        - annotations
    Refusal:
      type: object
      title: Refusal
      properties:
        type:
          type: string
          enum:
            - refusal
          x-stainless-const: true
        refusal:
          type: string
      required:
        - type
        - refusal
    Click:
      type: object
      title: Click
      properties:
        type:
          type: string
          enum:
            - click
          default: click
          x-stainless-const: true
        button:
          type: string
          enum:
            - left
            - right
            - wheel
            - back
            - forward
        x:
          type: integer
        'y':
          type: integer
      required:
        - type
        - button
        - x
        - 'y'
    DoubleClick:
      type: object
      title: DoubleClick
      properties:
        type:
          type: string
          enum:
            - double_click
          default: double_click
          x-stainless-const: true
        x:
          type: integer
        'y':
          type: integer
      required:
        - type
        - x
        - 'y'
    Drag:
      type: object
      title: Drag
      properties:
        type:
          type: string
          enum:
            - drag
          default: drag
          x-stainless-const: true
        path:
          type: array
          x-oaiExpandable: true
          items:
            $ref: '#/components/schemas/Coordinate'
            title: Drag path coordinates
            x-oaiExpandable: true
      required:
        - type
        - path
    KeyPress:
      type: object
      title: KeyPress
      properties:
        type:
          type: string
          enum:
            - keypress
          default: keypress
          x-stainless-const: true
        keys:
          type: array
          items:
            type: string
      required:
        - type
        - keys
    Move:
      type: object
      title: Move
      properties:
        type:
          type: string
          enum:
            - move
          default: move
          x-stainless-const: true
        x:
          type: integer
        'y':
          type: integer
      required:
        - type
        - x
        - 'y'
    Screenshot:
      type: object
      title: Screenshot
      properties:
        type:
          type: string
          enum:
            - screenshot
          default: screenshot
          x-stainless-const: true
      required:
        - type
    Scroll:
      type: object
      title: Scroll
      properties:
        type:
          type: string
          enum:
            - scroll
          default: scroll
          x-stainless-const: true
        x:
          type: integer
        'y':
          type: integer
        scroll_x:
          type: integer
        scroll_y:
          type: integer
      required:
        - type
        - x
        - 'y'
        - scroll_x
        - scroll_y
    Type:
      type: object
      title: Type
      properties:
        type:
          type: string
          enum:
            - type
          default: type
          x-stainless-const: true
        text:
          type: string
      required:
        - type
        - text
    Wait:
      type: object
      title: Wait
      properties:
        type:
          type: string
          enum:
            - wait
          default: wait
          x-stainless-const: true
      required:
        - type
    ComputerScreenshotImage:
      type: object
      properties:
        type:
          type: string
          enum:
            - computer_screenshot
          default: computer_screenshot
          x-stainless-const: true
        image_url:
          type: string
        file_id:
          type: string
      required:
        - type
    InputContent:
      oneOf:
        - $ref: '#/components/schemas/InputText'
        - $ref: '#/components/schemas/InputImage'
        - $ref: '#/components/schemas/InputFile'
      x-oaiExpandable: true
    Annotation:
      oneOf:
        - $ref: '#/components/schemas/FileCitation'
        - $ref: '#/components/schemas/UrlCitation'
        - $ref: '#/components/schemas/FilePath'
    Coordinate:
      type: object
      title: Coordinate
      properties:
        x:
          type: integer
        'y':
          type: integer
      required:
        - x
        - 'y'
    InputText:
      type: object
      title: Text input
      properties:
        type:
          type: string
          enum:
            - input_text
          x-stainless-const: true
        text:
          type: string
      required:
        - type
        - text
    InputImage:
      type: object
      title: Image input
      properties:
        type:
          type: string
          enum:
            - input_image
          x-stainless-const: true
        image_url:
          type: string
          nullable: true
        file_id:
          type: string
          nullable: true
        detail:
          type: string
          enum:
            - high
            - low
            - auto
          default: auto
      required:
        - type
        - detail
    InputFile:
      type: object
      title: File input
      properties:
        type:
          type: string
          enum:
            - input_file
          x-stainless-const: true
        file_id:
          type: string
        filename:
          type: string
        file_data:
          type: string
      required:
        - type
    FileCitation:
      type: object
      title: File citation
      properties:
        type:
          type: string
          enum:
            - file_citation
          x-stainless-const: true
        index:
          type: integer
        file_id:
          type: string
      required:
        - type
        - index
        - file_id
    UrlCitation:
      type: object
      title: URL citation
      properties:
        url:
          type: string
        title:
          type: string
        type:
          type: string
          enum:
            - url_citation
          x-stainless-const: true
        start_index:
          type: integer
        end_index:
          type: integer
      required:
        - url
        - title
        - type
        - start_index
        - end_index
    FilePath:
      type: object
      title: File path
      properties:
        type:
          type: string
          enum:
            - file_path
          x-stainless-const: true
        file_id:
          type: string
        index:
          type: integer
      required:
        - type
        - file_id
        - index
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````